// This file is auto-generated. Please do not edit.

/**************************************************************************
*  Copyright 2012 KISS Institute for Practical Robotics                  *
*                                                                        *
*  This file is part of libkovan.                                        *
*                                                                        *
*  libkovan is free software: you can redistribute it and/or modify      *
*  it under the terms of the GNU General Public License as published by  *
*  the Free Software Foundation, either version 2 of the License, or     *
*  (at your option) any later version.                                   *
*                                                                        *
*  libkovan is distributed in the hope that it will be useful,           *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*  GNU General Public License for more details.                          *
*                                                                        *
*  You should have received a copy of the GNU General Public License     *
*  along with libkovan. Check the LICENSE file in the project root.      *
*  If not, see <http://www.gnu.org/licenses/>.                           *
**************************************************************************/

#ifndef _ANALOG_H_
#define _ANALOG_H_

#include "export.h"
#include "vtable.h"

#ifdef __cplusplus
extern "C" {
#endif

/*!
* Gets the 10-bit analog value of a port.
* \param[in] port A value between 0 and 7 specifying the sensor to read from.
* \return The latest 10-bit value of the port (a value in the range 0 to 1023).
* \see analog10
* \ingroup sensor
*/

/*!
* Gets the 10-bit analog value of a port.
* \param[in] port A value between 0 and 7 specifying the sensor to read from.
* \return The latest 10-bit value of the port (a value in the range 0 to 1023).
* \see analog
* \ingroup sensor
*/

/*!
* Gets the 10-bit analog value of an ET sensor on the given port.
* \param[in] port A value between 0 and 7 specifying the ET sensor to read from.
* \return The latest 10-bit value of the port (a value in the range 0 to 1023).
* \see analog
* \ingroup sensor
*/

/*!
* Gets the 8-bit analog value of a port.
* \param[in] port A value between 0 and 7 specifying the sensor to read from.
* \return The latest 8-bit value of the port (a value in the range 0 to 255).
* \see analog10
* \ingroup sensor
*/



VTABLE_FUNC(analog, int, (int port), (port));
VTABLE_FUNC(analog10, int, (int port), (port));
VTABLE_FUNC(analog_et, int, (int port), (port));
VTABLE_FUNC(analog8, int, (int port), (port));
VTABLE_FUNC_VOID(set_analog_pullup, (int port, int pullup), (port,pullup));
VTABLE_FUNC(get_analog_pullup, int, (int port), (port));

#ifdef __cplusplus
}
#endif

#endif

