// This file is auto-generated. Please do not edit.

/**************************************************************************
*  Copyright 2012 KISS Institute for Practical Robotics                  *
*                                                                        *
*  This file is part of libkovan.                                        *
*                                                                        *
*  libkovan is free software: you can redistribute it and/or modify      *
*  it under the terms of the GNU General Public License as published by  *
*  the Free Software Foundation, either version 2 of the License, or     *
*  (at your option) any later version.                                   *
*                                                                        *
*  libkovan is distributed in the hope that it will be useful,           *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*  GNU General Public License for more details.                          *
*                                                                        *
*  You should have received a copy of the GNU General Public License     *
*  along with libkovan. Check the LICENSE file in the project root.      *
*  If not, see <http://www.gnu.org/licenses/>.                           *
**************************************************************************/

/*!
* \file button.h
* \brief Methods for manipulating and using software buttons
* \author Braden McDorman
* \copyright KISS Insitute for Practical Robotics
*/

#ifndef _BUTTON_H_
#define _BUTTON_H_

#include "export.h"
#include "vtable.h"

#ifdef __cplusplus
extern "C" {
#endif

/*!
* Updates the A button's text.
* \param text The text to display. Limit of 16 characters.
* \ingroup button
*/

/*!
* Updates the B button's text.
* \param text The text to display. Limit of 16 characters.
* \ingroup button
*/

/*!
* Updates the C button's text.
* \param text The text to display. Limit of 16 characters.
* \ingroup button
*/

/*!
* Updates the X button's text.
* \param text The text to display. Limit of 16 characters.
* \ingroup button
*/

/*!
* Updates the Y button's text.
* \param text The text to display. Limit of 16 characters.
* \ingroup button
*/

/*!
* Updates the Z button's text.
* \param text The text to display. Limit of 16 characters.
* \ingroup button
*/

/*!
* Gets the A button's state (pressed or not pressed.)
* \return 1 for pressed, 0 for not pressed
* \see a_button_clicked
* \ingroup button
*/

/*!
* Gets the B button's state (pressed or not pressed.)
* \return 1 for pressed, 0 for not pressed
* \see b_button_clicked
* \ingroup button
*/

/*!
* Gets the C button's state (pressed or not pressed.)
* \return 1 for pressed, 0 for not pressed
* \see c_button_clicked
* \ingroup button
*/

/*!
* Gets the X button's state (pressed or not pressed.)
* \return 1 for pressed, 0 for not pressed
* \attention This button is an extra button. Use set_extra_buttons_visible(int) to show this button.
* \see x_button_clicked
* \ingroup button
*/

/*!
* Gets the Y button's state (pressed or not pressed.)
* \return 1 for pressed, 0 for not pressed
* \attention This button is an extra button. Use set_extra_buttons_visible(int) to show this button.
* \see y_button_clicked
* \ingroup button
*/

/*!
* Gets the Z button's state (pressed or not pressed.)
* \return 1 for pressed, 0 for not pressed
* \attention This button is an extra button. Use set_extra_buttons_visible(int) to show this button.
* \see z_button_clicked
* \ingroup button
*/

/*!
* Gets the side button's state (pressed or not pressed.)
* \return 1 for pressed, 0 for not pressed
* \see side_button_clicked
* \ingroup button
*/

/*!
* Gets the side button's state (pressed or not pressed.)
* \deprecated Use side_button() instead.
* \return 1 for pressed, 0 for not pressed
* \see side_button
* \ingroup button
*/

/*!
* Gets the A button's state (pressed or not pressed.)
* \return 1 for pressed, 0 for not pressed
* \see a_button
* \ingroup button
*/

/*!
* Gets the B button's state (pressed or not pressed.)
* \blocksuntil the button is no longer pressed.
* \return 1 for pressed, 0 for not pressed
* \see b_button
* \ingroup button
*/

/*!
* Gets the C button's state (pressed or not pressed.)
* \blocksuntil the button is no longer pressed.
* \return 1 for pressed, 0 for not pressed
* \see c_button
* \ingroup button
*/

/*!
* Gets the X button's state (pressed or not pressed.)
* \blocksuntil the button is no longer pressed.
* \return 1 for pressed, 0 for not pressed
* \attention This button is an extra button. Use set_extra_buttons_visible(int) to show this button.
* \see x_button
* \ingroup button
*/

/*!
* Gets the Y button's state (pressed or not pressed.)
* \blocksuntil the button is no longer pressed.
* \return 1 for pressed, 0 for not pressed
* \attention This button is an extra button. Use set_extra_buttons_visible(int) to show this button.
* \see y_button
* \ingroup button
*/

/*!
* Gets the Z button's state (pressed or not pressed.)
* \blocksuntil the button is no longer pressed.
* \return 1 for pressed, 0 for not pressed
* \attention This button is an extra button. Use set_extra_buttons_visible(int) to show this button.
* \see z_button
* \ingroup button
*/

/*!
* Gets the side button's state (pressed or not pressed.)
* \blocksuntil the button is no longer pressed.
* \return 1 for pressed, 0 for not pressed
* \see side_button
* \ingroup button
*/


/*!
* Shows the X, Y, and Z buttons.
* \see set_extra_buttons_visible
* \ingroup button
*/

/*!
* Hides the X, Y, and Z buttons. This is the default.
* \see set_extra_buttons_visaible
* \ingroup button
*/

/*!
* Determines whether or not the X, Y, and Z buttons are visible.
* \see set_extra_buttons_visible
* \ingroup button
*/

/*!
* Sets whether or not the X, Y, and Z buttons are visible.
* \see get_extra_buttons_visible
* \ingroup button
*/

VTABLE_FUNC_VOID(set_a_button_text, (const char *text), (text));
VTABLE_FUNC_VOID(set_b_button_text, (const char *text), (text));
VTABLE_FUNC_VOID(set_c_button_text, (const char *text), (text));
VTABLE_FUNC_VOID(set_x_button_text, (const char *text), (text));
VTABLE_FUNC_VOID(set_y_button_text, (const char *text), (text));
VTABLE_FUNC_VOID(set_z_button_text, (const char *text), (text));
VTABLE_FUNC(a_button, int, (), ());
VTABLE_FUNC(b_button, int, (), ());
VTABLE_FUNC(c_button, int, (), ());
VTABLE_FUNC(x_button, int, (), ());
VTABLE_FUNC(y_button, int, (), ());
VTABLE_FUNC(z_button, int, (), ());
VTABLE_FUNC(side_button, int, (), ());
VTABLE_FUNC(black_button, int, (), ());
VTABLE_FUNC(a_button_clicked, int, (), ());
VTABLE_FUNC(b_button_clicked, int, (), ());
VTABLE_FUNC(c_button_clicked, int, (), ());
VTABLE_FUNC(x_button_clicked, int, (), ());
VTABLE_FUNC(y_button_clicked, int, (), ());
VTABLE_FUNC(z_button_clicked, int, (), ());
VTABLE_FUNC(side_button_clicked, int, (), ());
VTABLE_FUNC(any_button, int, (), ());
VTABLE_FUNC_VOID(extra_buttons_show, (), ());
VTABLE_FUNC_VOID(extra_buttons_hide, (), ());
VTABLE_FUNC(get_extra_buttons_visible, int, (), ());
VTABLE_FUNC_VOID(set_extra_buttons_visible, (int visible), (visible));

#ifdef __cplusplus
}
#endif

#endif

